<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>portable</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Refit" Version="6.3.2" />
    <PackageReference Include="SimpleInjector" Version="5.3.3" />
    <PackageReference Include="Xamarin.CommunityToolkit" Version="2.0.1" />
    <PackageReference Include="Xamarin.Forms" Version="5.0.0.2401" />
    <PackageReference Include="Xamarin.Essentials" Version="1.7.2" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Resources\Localization.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Localization.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Resources\Localization.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Localization.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
</Project>